<!--
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->


<p-toast [style]="{marginTop: '90px'}"></p-toast>

<p-toast [style]="{marginTop: '90px'}" position="top-left" key="tl"></p-toast>

<p-toast [style]="{marginTop: '90px'}" position="top-center" key="tc"></p-toast>

<p-toast [style]="{marginTop: '90px'}" styleClass="custom-toast" key="custom" position="bottom-center"></p-toast>

<p-toast position="center" key="deletec" (onClose)="onSingleGMReject()" [modal]="true" [baseZIndex]="5000">
  <ng-template let-message pTemplate="message">
    <div style="text-align: center">
      <i class="pi pi-exclamation-triangle" style="font-size: 3em"></i>
      <h3>{{message.summary}}</h3>
      <p>{{message.detail}}</p>
    </div>
    <div class="ui-g ui-fluid">
      <div class="ui-g-6" id="deleteSGMYesDiv">
        <button type="button" id="deleteSGMYesButton" (click)="onSingleGMDeleteConfirm()" class="btn btn-success">Ja</button>
      </div>
      <div class="ui-g-6" id="deleteSGYNoDiv">
        <button type="button" id="deleteSGMNoButton" (click)="onSingleGMReject()" class="btn btn-default">Nein</button>
      </div>
    </div>
  </ng-template>
</p-toast>

<p-toast position="center" key="unlockc" (onClose)="onUnlcokReject()" [modal]="true" [baseZIndex]="5000">
  <ng-template let-message pTemplate="message">
    <div style="text-align: center">
      <i class="pi pi-exclamation-triangle" style="font-size: 3em"></i>
      <h3>{{message.summary}}</h3>
      <p>{{message.detail}}</p>
    </div>
    <div class="ui-g ui-fluid">
      <div class="ui-g-6" id="unlockToaster">
        <button type="button" id="unlockButton" (click)="onUnlockConfirm()" class="btn btn-success">Sperrung aufheben</button>
      </div>
    </div>
  </ng-template>
</p-toast>
